if SERVER then return end

function We(x)
	return x / 1920 * ScrW()
end

function He(y)
	return y / 1080 * ScrH()
end

local function CreateFonts()
	surface.CreateFont("MuR_FontDef", {
		font = "VK Sans Display DemiBold",
		extended = true,
		size = He(12),
		antialias = true
	})

	surface.CreateFont("MuR_Font0", {
		font = "VK Sans Display DemiBold",
		extended = true,
		size = He(12),
		antialias = true
	})

	surface.CreateFont("MuR_Font1", {
		font = "VK Sans Display DemiBold",
		extended = true,
		size = He(16),
		antialias = true
	})

	surface.CreateFont("MuR_Font2", {
		font = "VK Sans Display DemiBold",
		extended = true,
		size = He(24),
		antialias = true
	})

	surface.CreateFont("MuR_Font3", {
		font = "VK Sans Display DemiBold",
		extended = true,
		size = He(32),
		antialias = true
	})

	surface.CreateFont("MuR_Font4", {
		font = "VK Sans Display DemiBold",
		extended = true,
		size = He(40),
		antialias = true
	})

	surface.CreateFont("MuR_Font5", {
		font = "VK Sans Display DemiBold",
		extended = true,
		size = He(48),
		antialias = true
	})

	surface.CreateFont("MuR_Font6", {
		font = "VK Sans Display DemiBold",
		extended = true,
		size = He(56),
		antialias = true
	})
end

CreateFonts()
hook.Add("OnScreenSizeChanged", "MuR_Drone_Fonts", function()
	CreateFonts()
end)
